Package org.apache.sling.testing.serversetup.instance

## Class SlingInstanceManager

- java.lang.Object
- - org.apache.sling.testing.serversetup.instance.SlingInstanceManager

All Implemented Interfaces:
  `Iterable<SlingInstance>`

    public class SlingInstanceManager
    extends Object
    implements Iterable<SlingInstance>

Helper class for running tests against multiple Sling instances, takes care of starting the Sling instances and waiting for them to be ready.

### Constructor Summary

Constructors
`SlingInstanceManager​(String... instanceNames)`
`SlingInstanceManager​(Properties systemProperties, String... instanceNames)` Get configuration but do not start server yet, that's done on demand

### Method Summary

All Methods Instance Methods Concrete Methods
`SlingInstance` `getInstance​(String instanceName)`
`Iterator<SlingInstance>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SlingInstanceManager

    public SlingInstanceManager​(String... instanceNames)
                         throws org.apache.sling.testing.clients.ClientException

Throws:
  `org.apache.sling.testing.clients.ClientException`

#### SlingInstanceManager

    public SlingInstanceManager​(Properties systemProperties,
                                String... instanceNames)
                         throws org.apache.sling.testing.clients.ClientException

Get configuration but do not start server yet, that's done on demand

Throws:
  `org.apache.sling.testing.clients.ClientException`

### Method Detail

#### getInstance

    public SlingInstance getInstance​(String instanceName)

#### iterator

    public Iterator<SlingInstance> iterator()

Specified by:
  `iterator` in interface `Iterable<SlingInstance>`